High Severity

IBM Security Bulletin: IBM Integration Designer and WebSphere Integration Developer update of IBM® SDK Java™ Technology Edition

Share this post:

There are multiple vulnerabilities in the IBM® SDK Java™ Technology Edition that is shipped with IBM Integration Designer and WebSphere Integration Developer. These issues were disclosed in the IBM Java SDK updates in July 2016.

IBM Integration Designer and WebSphere Integration Developer are providing an IBM Java SDK update that includes fixes for security vulnerabilities. If you run Java code using the IBM Java Runtime delivered with this product, you should evaluate your code to determine whether these vulnerabilities are applicable to your code.

CVE(s): For a complete list of vulnerabilities, refer to IBM Java SDK Security Bulletin.

Affected product(s) and affected version(s):

These vulnerabilities affect IBM Integration Designer and WebSphere Integration Developer.

Refer to the following reference URLs for remediation and additional vulnerability details:
Source Bulletin: http://www-01.ibm.com/support/docview.wss?uid=swg21989150

More stories

Security Bulletin: IBM Security Information Queue uses database components with known vulnerabilities (CVE-2016-3506, CVE-2018-1058, CVE-2018-10936, CVE-2019-9193)

Jan 22, 2020 7:00 pm EST | High Severity

IBM Security Information Queue (ISIQ) relies on older Oracle JDBC and PostgreSQL jar files that have known vulnerabilities. As of v1.0.5, ISIQ switched to newer, secure versions of the jar files. ...read more


Security Bulletin: IBM WebSphere Cast Iron Solution & App Connect Professional is affected by Open Source vulnerabilities

Jan 21, 2020 7:06 pm EST | High Severity

IBM WebSphere Cast Iron Solution & App Connect Professional has addressed the open source vulnerabilities. ...read more